/* OurMalloc.h -- redirect memory allocation */

#ifndef OURMALLOC_H
#define OURMALLOC_H

#include <StdLib.h>

extern void *(*DB_calloc)(size_t nmemb, size_t size);
extern void (*DB_free)(void *ptr);
extern void *(*DB_malloc)(size_t size);
extern void *(*DB_realloc)(void *ptr, size_t size);

#define calloc(nmemb,size) DB_calloc(nmemb,size)
#define free(ptr) 			DB_free(ptr)
#define malloc(size) 		DB_malloc(size)
#define realloc(ptr,size) 	DB_realloc(ptr,size)
#endif
